import { writable } from "svelte/store";

let colors = [
  { val: "ff0000", name: "ground" },
  { val: "00ff00", name: "trees" },
  { val: "0000ff", name: "sky" },
  { val: "ffff00", name: "unnamed1" },
  { val: "00ffff", name: "unnamed2" },
  { val: "ff00ff", name: "unnamed3" }
];

if ("colors" in localStorage) {
  try {
    const v = localStorage.getItem("colors");
    colors = JSON.parse(v);
  } catch (error) {

  }
}

const store = writable<Color[]>(colors);

store.subscribe(v => {
  localStorage.setItem("colors", JSON.stringify(v));
})

export default store;